Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.authorization
Class AuthorizerImpl

    java.lang.Object
      weblogic.management.security.BaseMBeanImpl
          weblogic.management.security.ProviderImpl
              weblogic.management.security.authorization.AuthorizerImpl

Direct Known Subclasses:
  DeployableAuthorizerImpl

    public class AuthorizerImpl

extends ProviderImpl

The base class of all authorizer MBean implementations. It extends the authorizer provider MBean implementation and gives the authorizer's MBean implementation access to its configuration attributes.

Constructor Summary
`` | `AuthorizerImpl(ModelMBean base)` Constructor for the AuthorizerImpl object
`protected` | `AuthorizerImpl(RequiredModelMBean base)`

Method Summary

Methods inherited from class weblogic.management.security.ProviderImpl
`getRealm`

Methods inherited from class weblogic.management.security.BaseMBeanImpl
`getProxy, getRequiredModelMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorizerImpl

    public AuthorizerImpl(ModelMBean base)
                   throws MBeanException

  Constructor for the AuthorizerImpl object

  Parameters:
    `base` - Description of the Parameter
  Throws:
    `MBeanException` - Description of the Exception

### AuthorizerImpl

    protected AuthorizerImpl(RequiredModelMBean base)
                      throws MBeanException

Throws:
  `MBeanException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD